local engine = require("#monocle.engine")
local monocle = require("#monocle")
local celeste = require("#celeste")

local coroutineEntity = monocle.Entity()

function onBegin()
    disableRetry()
    disableMovement()
    player.ForceCameraUpdate = true

    walkTo(4316, False, 0.6)
    wait(0.5)
    say("PPBD2025_GlerG_Slop_end_b")
end

function onEnd(room, wasSkipped)
    enableRetry()
    enableMovement()
end